---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libvmobjalloc01.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _agent_wait_for_sync, symObjAddr: 0xE60, symBinAddr: 0x12E0, symSize: 0x240 }
  - { offsetInCU: 0x495, offset: 0x495, size: 0x8, addend: 0x0, symName: __ZL20current_agent_status, symObjAddr: 0x22E30, symBinAddr: 0x4050, symSize: 0x0 }
  - { offsetInCU: 0x4B3, offset: 0x4B3, size: 0x8, addend: 0x0, symName: __ZL17agent_thread_proc, symObjAddr: 0x22E38, symBinAddr: 0x4058, symSize: 0x0 }
  - { offsetInCU: 0x9100, offset: 0x9100, size: 0x8, addend: 0x0, symName: __ZL16agent_thread_arg, symObjAddr: 0x22E40, symBinAddr: 0x4060, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: __ZL15agent_jvmti_env, symObjAddr: 0x22E48, symBinAddr: 0x4068, symSize: 0x0 }
  - { offsetInCU: 0x9132, offset: 0x9132, size: 0x8, addend: 0x0, symName: __ZL13agent_jni_env, symObjAddr: 0x22E50, symBinAddr: 0x4070, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x22E58, symBinAddr: 0x4078, symSize: 0x0 }
  - { offsetInCU: 0x91D4, offset: 0x91D4, size: 0x8, addend: 0x0, symName: __ZL18jvmti_agent_thread, symObjAddr: 0x22E78, symBinAddr: 0x4098, symSize: 0x0 }
  - { offsetInCU: 0x91ED, offset: 0x91ED, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x22E68, symBinAddr: 0x4088, symSize: 0x0 }
  - { offsetInCU: 0x9206, offset: 0x9206, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x22E70, symBinAddr: 0x4090, symSize: 0x0 }
  - { offsetInCU: 0x92A1, offset: 0x92A1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x12B0, symSize: 0x30 }
  - { offsetInCU: 0x9744, offset: 0x9744, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x10A0, symBinAddr: 0x1520, symSize: 0x70 }
  - { offsetInCU: 0x981D, offset: 0x981D, size: 0x8, addend: 0x0, symName: _agent_resume_sync, symObjAddr: 0x1110, symBinAddr: 0x1590, symSize: 0x1A0 }
  - { offsetInCU: 0x9D5C, offset: 0x9D5C, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x12B0, symBinAddr: 0x1730, symSize: 0x4F0 }
  - { offsetInCU: 0xA693, offset: 0xA693, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x1C20, symBinAddr: 0x20A0, symSize: 0xB0 }
  - { offsetInCU: 0xA70A, offset: 0xA70A, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x17A0, symBinAddr: 0x1C20, symSize: 0x1A0 }
  - { offsetInCU: 0xAA6D, offset: 0xAA6D, size: 0x8, addend: 0x0, symName: _VMObjectAlloc, symObjAddr: 0x1940, symBinAddr: 0x1DC0, symSize: 0xA0 }
  - { offsetInCU: 0xACB0, offset: 0xACB0, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x19E0, symBinAddr: 0x1E60, symSize: 0x170 }
  - { offsetInCU: 0xAEF8, offset: 0xAEF8, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1B50, symBinAddr: 0x1FD0, symSize: 0xA0 }
  - { offsetInCU: 0xAF95, offset: 0xAF95, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1BF0, symBinAddr: 0x2070, symSize: 0x10 }
  - { offsetInCU: 0xAFEB, offset: 0xAFEB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1C00, symBinAddr: 0x2080, symSize: 0x10 }
  - { offsetInCU: 0xB041, offset: 0xB041, size: 0x8, addend: 0x0, symName: __ZL20agent_thread_wrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1CD0, symBinAddr: 0x2150, symSize: 0x60 }
  - { offsetInCU: 0xB0F7, offset: 0xB0F7, size: 0x8, addend: 0x0, symName: __ZL22set_agent_thread_state14thread_state_t, symObjAddr: 0x1D30, symBinAddr: 0x21B0, symSize: 0x162 }
...
